Net::LDAP::Control::MatchedValues(3)

NAME
Net::LDAP::Control::MatchedValues - LDAPv3 MatchedValues Control

SYNOPSIS
 use Net::LDAP;
 use Net::LDAP::Control::MatchedValues;

 $ldap = Net::LDAP->new( "ldap.mydomain.eg" );

 $mv = Net::LDAP::Control::MatchedValues->new( matchedValues => '((sn=Jensen)(sn=Miller))' );

 # return the entries of all people with first name "Babs",
 # but only show the sn if it is "Jensen" or "Miller"
 my $mesg = $ldap->search( base => "o=University of Michigan, c=US",
                           filter => "(givenName=Babs)",
                           attrs => [ qw/sn/ ],
                           control => $mv );

DESCRIPTION
"Net::LDAP::Control::MatchedValues" provides an interface for the creation and manipulation of objects that represent the "MatchedValues Control" as described by RFC 3876.

The "MatchedValues Control", which only has a meaning with the "Search" operation, allows the client to specify criteria that restrict the values of attributes returned. It has no effect on the number of objects found, but only allows one to restrict the values of the attributes returned by the search to those matching the criteria.

CONSTRUCTOR ARGUMENTS
In addition to the constructor arguments described in Net::LDAP::Control the following are provided.

matchedValues => VALUESRETURNFILTER
    A filter giving the criteria which attribute values shall be returned.

    VALUESRETURNFILTER is a sequence of simple filter items of the form "( <ATTRSPEC> <OP> <VALUE> )" surrounded by an additional set of parentheses; e.g.

    ((personsAge<=29))
        Only return the age if is less than 30 ;-)

    ((cn=*Emergency*)(telephoneNumber=+1*)(telephoneNumber=911))
        Only return those values of the cn that contain "Emergency", and phone numbers from North America including the one for emergency calls.

METHODS
As with Net::LDAP::Control each constructor argument described above is also available as a method on the object which will return the current value for the attribute if called without an argument, and set a new value for the attribute if called with an argument.

SEE ALSO
Net::LDAP, Net::LDAP::Control, http://www.ietf.org/rfc/rfc3876.txt

AUTHOR
Peter Marschall <peter@adpm.de>

Please report any bugs, or post any suggestions, to the perl-ldap mailing list <perl-ldap@perl.org>

COPYRIGHT
Copyright (c) 2011 Peter Marschall. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.